\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
Enumerations
2D Arrangement Reference

##

## Enumerations
enum | CGAL::Arr_curve_end { CGAL::ARR_MIN_END, CGAL::ARR_MAX_END }
| The enumeration `Arr_curve_end` is used to indicate one of the two ends of an \( x\)-monotone curve. More...
enum | CGAL::Arr_halfedge_direction { CGAL::ARR_LEFT_TO_RIGHT, CGAL::ARR_RIGHT_TO_LEFT }
| The enumeration `Arr_halfedge_direction` is defined by `CGAL::Arrangement_2::Halfedge` to specify the direction of the halfedge. More...
enum | CGAL::Arr_parameter_space { CGAL::ARR_LEFT_BOUNDARY, CGAL::ARR_RIGHT_BOUNDARY, CGAL::ARR_BOTTOM_BOUNDARY, CGAL::ARR_TOP_BOUNDARY, CGAL::ARR_INTERIOR }

## Enumeration Type Documentation

enum CGAL::Arr_curve_end

The enumeration `Arr_curve_end` is used to indicate one of the two ends of an \( x\)-monotone curve.

It is used by models of the `ArrangementOpenBoundaryTraits_2` concept.

See Also
  `ArrangementOpenBoundaryTraits_2`

`#include <CGAL/Arr_enums.h>`

Enumerator
ARR_MIN_END |
ARR_MAX_END |

enum CGAL::Arr_halfedge_direction

The enumeration `Arr_halfedge_direction` is defined by `CGAL::Arrangement_2::Halfedge` to specify the direction of the halfedge.

See Also
  `CGAL::Arrangement_2::Halfedge`

`#include <CGAL/Arr_enums.h>`

Enumerator
ARR_LEFT_TO_RIGHT |
ARR_RIGHT_TO_LEFT |

enum CGAL::Arr_parameter_space

`#include <CGAL/Arr_enums.h>`

Enumerator
ARR_LEFT_BOUNDARY |
ARR_RIGHT_BOUNDARY |
ARR_BOTTOM_BOUNDARY |
ARR_TOP_BOUNDARY |
ARR_INTERIOR |